petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHPDDMGetCoarseCorrectionType

Gets the coarse correction type.

### Synopsis

    PetscErrorCode PCHPDDMGetCoarseCorrectionType(PC pc, PCHPDDMCoarseCorrectionType *type)

### Input Parameter

pc -preconditioner context

### Output Parameter

type -PC_HPDDM_COARSE_CORRECTION_DEFLATED, PC_HPDDM_COARSE_CORRECTION_ADDITIVE, or PC_HPDDM_COARSE_CORRECTION_BALANCED

### See Also

PCHPDDMSetCoarseCorrectionType(), PCHPDDM, PCHPDDMCoarseCorrectionType

### Level

intermediate

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx

### Implementations

PCHPDDMGetCoarseCorrectionType_HPDDM in src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages